<?php 
session_start();
include_once '../../conexao/index.php';
error_reporting(E_ALL);
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'] ?? null;
$userNOME = $_SESSION['nomeUsuario'] ?? null;
$userCATE = $_SESSION['categoriaUsuario'] ?? null;
/*********************************************/

// Consulta SQL para obter o número de itens prontos em cada mesa
$sql = "SELECT mesa, COUNT(*) AS qtdItensProntos FROM pos_mesas_temp_artigos WHERE na_mesa = 1 GROUP BY mesa";
$resultado = mysqli_query($db, $sql);

// Array para armazenar os resultados
$itensProntos = array();

// Loop através dos resultados e armazenar em um array associativo
while ($linha = mysqli_fetch_assoc($resultado)) {
    $itensProntos[] = array(
        'mesa' => $linha['mesa'],
        'qtdItensProntos' => $linha['qtdItensProntos']
    );
}

// Converter o array em JSON e imprimir
echo json_encode($itensProntos);

// Fechar a conexão com o banco de dados e encerrar o script
mysqli_close($db);
?>